input_set_capability
Prev | Chapter 25. Input Subsystem | Next

## Name

input_set_capability — mark device as capable of a certain event

## Synopsis

`void input_set_capability (` | struct input_dev * | dev,
| unsigned int | type,
| unsigned int | code`)`;

## Arguments

`dev`

  device that is capable of emitting or accepting event

`type`

  type of the event (EV_KEY, EV_REL, etc...)

`code`

  event code

## Description

In addition to setting up corresponding bit in appropriate capability bitmap the function also adjusts dev->evbit.

Prev | Up | Next
input_free_device | Home | input_register_device